Bug 498654 - Review Request: uget - A download manager
Review Request: uget - A download manager
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-01 13:19 EDT by Mamoru TASAKA
Modified: 2009-05-10 18:31 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-04 11:45:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cwickert: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2009-05-01 13:19:53 EDT
Spec URL: http://mtasaka.fedorapeople.org/Review_request/uget/uget.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/uget/uget-1.4.7-1.fc.src.rpm
Description: 
A download manager using GTK+ and libcurl.

Koji scratch build:
for dist-f11-updates-candidate:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1331576
for dist-f10-updates-candidate:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1331581
Comment 1 Christoph Wickert 2009-05-02 07:06:45 EDT
REVIEW for
9b3acf561848fe69cc8c1896160f5cfe  uget-1.4.7-1.fc.src.rpm

OK - MUST: rpmlint must be run on every package. The output should be posted in the review.
$ rpmlint /var/lib/mock/fedora-rawhide-i386/result/uget-*
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

OK - MUST: The package is named according to the Package Naming Guidelines.
OK - MUST: The spec file name matches the base package %{name}, in the format %{name}.spec.
OK - MUST: The package meets the Packaging Guidelines.
OK - MUST: The package is licensed with a Fedora approved license and meets the Licensing Guidelines: LGPLv2.1
OK - MUST: The License field in the package spec file matches the actual license.
FAIL - MUST: The license file from the source package is included in %doc, but it is GPLv3 instead of LGPLv2.1
OK - MUST: The spec file is in American English.
OK - MUST: The spec file for the package is legible.
OK - MUST: The sources used to build the package match the upstream source by MD5 e2bb31a1e1064db59ce7f341b9d7b013
OK - MUST: The package successfully compiles and builds into binary rpms on i386
N/A - MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
OK - MUST: All build dependencies are listed in BuildRequires.
N/A - MUST: The spec file handles locales properly with the %find_lang macro.
N/A - MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
N/A - MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package.
OK - MUST: The package owns all directories that it creates (None).
OK - MUST: The package does not contain any duplicate files in the %files listing.
OK - MUST: Permissions on files are set properly. The %files section includes a %defattr(...) line.
OK - MUST: The package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT.
OK - MUST: The package consistently uses macros, as described in the macros section of Packaging Guidelines.
OK - MUST: The package contains code, or permissable content.
N/A - MUST: Large documentation files should go in a -doc subpackage.
OK - MUST: Files included as %doc do not affect the runtime of the application.
N/A - MUST: Header files must be in a -devel package.
N/A - MUST: Static libraries must be in a -static package.
N/A - MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'.
N/A - MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
N/A - MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
OK - MUST: The package does not contain any .la libtool archives.
OK - MUST: The package contains a GUI application and includes a %{name}.desktop file, and that file is properly installed with desktop-file-install in the %install section.
OK - MUST: The packages does not own files or directories already owned by other packages.
OK - MUST: At the beginning of %install, the package runs rm -rf $RPM_BUILD_ROOT.
OK - MUST: All filenames in rpm packages are valid UTF-8.


SHOULD Items:
OK - SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
N/A - SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
OK - SHOULD: The the package builds in mock.
OK - SHOULD: The package should compile and build into binary rpms on all supported architectures.
OK - SHOULD: The package functions as described.
N/A - SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
N/A - SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
N/A - SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg.
N/A - SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.


Others items:
OK - Review and package are no duplicates
OK - Latest version packaged
OK - Properly obsoletes urlgfe
OK - Timestamp of Source0 matches
OK - Timestamps are preserved during install
OK - optflags are honored


Issues:
Wrong license text included in source


Suggestions:
- Enhance Summary and %description. Summary: Remove the leading "A " from summary but make it a little more elaborate: "Download manager using GTK+ and libcurl".
%description: "Uget is a download manager that allows you to import downloads from HTML files and classify them by categories. Every category has an independent configuration that can be inherited by each download in that category.
Uget is the successor of urlgfe, which was called URLget before."

- Desktop file is very sparse. Suggestion:

[Desktop Entry]
Name=Uget Download Manager
Comment=Download files from the internet
Comment[de]=Dateien aus dem Internet herunterladen
GenericName=Download Manager
Exec=uget-gtk
Icon=document-save
Terminal=false
Type=Application
Categories=GTK;Network;FileTransfer;

I used document-save.png for the icon, but you could also use urlgfe-icon.png from the urlgfe package.


These are just suggestions you should take into account but no blockers. The only problem is the license. If you are sure that LGPLv2+ is really sure, you can import the package, but in case of doubt ask upstream first. Ether way, upstream should be notified of this issue.

APPROVED.
Comment 2 Mamoru TASAKA 2009-05-02 10:34:53 EDT
Thank you for review!

(In reply to comment #1)
> Issues:
> Wrong license text included in source
- I will ping to upstream.

> Suggestions:
> - Enhance Summary and %description. 
> - Desktop file is very sparse. 
- Thank you for suggestions.

New Package CVS Request
=======================
Package Name:      uget
Short Description: Download manager using GTK+ and libcurl
Owners:            mtasaka
Branches:          F-11 F-10
InitialCC:         (nobody)
Comment 3 Kevin Fenzi 2009-05-03 23:51:22 EDT
cvs done.
Comment 4 Mamoru TASAKA 2009-05-04 11:45:24 EDT
Rebuilt, will submit push requests on bodhi.
Thank you for review and CVS procedure! Now closing.

Note You need to log in before you can comment on or make changes to this bug.